#!/usr/bin/perl

use strict;

my @data = qw(Mon Tue Wed Thu Fri Sat Sun);
my %french_colors = ("red" => "rouge", "yellow" => "jaune",
	"green" => "vert", "white" => "blanc");
my $n;

#
#	Converting an array to scalar gives # of items

$n = @data;
print("The array has $n items in it.\n");

#
#	Converting a hash to a scalar gives a fraction telling
#	you how well it is filling its "hash buckets", *not*
#	the number of key-value pairs in the hash (which you might expect)

$n = %french_colors;
print ("The hash ratio is $n\n");

#	To find the number of items in a hash:
$n = scalar(keys(%french_colors));
print("There are $n key-value pairs in the hash.\n");

print("The keys in this hash are: ",
	join(" ", keys(%french_colors)), "\n");
print("The values in this hash are: ",
	join(" ", values(%french_colors)), "\n");
